/* Main Container */
.container {
  display: flex;
  flex-direction: column;
  gap: 2em; /* Space between top and bottom sections */
  width: 100%;
  align-items: center;
  margin-top: 2em; /* Add space above the top section */
  overflow: auto; /* Allow scrolling if content overflows */
  max-height: 100vh;
  margin-bottom: 18vh;
}

/* Shared Section Style */
.top-section,
.bottom-section {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  width: 80%; /* Adjust width as needed */
  gap: 2em; /* Space between left and right boxes */
  flex-wrap: wrap; /* Allow boxes to stack when space is limited */
}

/* Bottom Section Styling */
.bottom-box {
  flex: 1;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: #f9f9f9;
  padding: 20px;
  text-align: center;
  width: 0;
}

.top-section {
  display: flex;
  width: 80%;
  flex: 1; /* Equal sizing for all boxes */
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: #f9f9f9;
  padding: 20px;
  height: 100%;
}

/* Top Section Styling */
.top-box-left,
.top-box-right {
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: #f9f9f9;
  padding: 20px;
  width: 50%;
}

/* Left Box Specific Styling */
.top-box-left {
  overflow: hidden;
  flex: 1;
  text-align: left;
}

/* Right Box Specific Styling */
li {
  text-align: left; /* Left-align text */
  padding: 1em;
}

.layout-loginpage {
  display: flex;
}

.email-input {
  margin-top: 1em;
  width: 100%;
}

.continue-button {
  margin-left: auto;
  margin-right: auto;
  margin-top: 1em;
  align-self: auto;
  display: flex;
  flex-direction: column;
}

.showpointer {
  cursor: pointer;
}

.login-button-title {
  font-weight: bold;
  font-size: 1.4em;
  padding: 1em;
  text-align: center;
}

.login-routing-title {
  font-weight: bold;
  font-size: 1em;
  color: darkblue;
}

.guest-email-field {
  margin-bottom: -1.5em;
}

.logout-button {
  margin-top: 0.3em;
  padding: 1.55em 0;
  line-height: 1.125;
  width: auto;
}

.custom-hover {
  cursor: pointer;
}

/* Responsive Behavior */
@media screen and (max-width: 768px) {
  .top-section,
  .bottom-section {
    flex-direction: column; /* Stack boxes vertically */
    gap: 1em;
    width: 90%; /* Adjust width on smaller screens */
  }
  .top-box-left,
  .top-box-right,
  .bottom-box {
    width: 100%; /* Full width for each box when stacked */
  }
}

/*# sourceMappingURL=better-login-page.component.css.map */
